Package Details: weasis-bin 4.3.0-2

Git Clone URL: https://aur.archlinux.org/weasis-bin.git (read-only, click to copy)
Package Base: weasis-bin
Description: Weasis is a free medical DICOM viewer used in healthcare by hospitals, health networks, multicenter research trials, and patients.
Upstream URL: https://nroduit.github.io/
Licenses: EPL-2.0
Submitter: Junker
Maintainer: tugyan
Last Packager: tugyan
Votes: 22
Popularity: 1.89
First Submitted: 2019-02-20 13:00 (UTC)
Last Updated: 2024-02-21 04:10 (UTC)

Latest Comments

1 2 Next › Last »

blabred commented on 2023-05-24 15:54 (UTC) (edited on 2023-05-24 15:55 (UTC) by blabred)

I've got the following error while updating with yay:

weasis_4.1.1-1_amd64.deb ... HA FALLADO
==> ERROR: ¡Uno o más archivos no superaron el control de validación!
 -> error compilando: weasis-bin-exit status 1
...

:: Ejecutando los «hooks» de posinstalación...
(1/4) Arming ConditionNeedsUpdate...
(2/4) Refreshing PackageKit...
(3/4) Updating icon theme caches...
(4/4) Updating the desktop file MIME type cache...
 -> Failed to install the following packages. Manual intervention is required:
weasis-bin - exit status 1

tugyan commented on 2022-11-13 04:36 (UTC)

@effeffe Would you like to adopt the package, now that it's orphaned?

effeffe commented on 2022-09-28 09:26 (UTC)

Can you please update the package, or put me as maintainer, please?

Junker commented on 2022-07-13 05:17 (UTC)

fixed. seems this error appears only in paru: https://github.com/Morganamilo/paru/issues/39

mabod commented on 2022-07-13 04:38 (UTC)

weasis-bin-4.0.1-1: error: failed to parse srcinfo for 'weasis-bin-4.0.1-1': key 'groups' requires a value: Line 7: groups =

ggnoredo commented on 2021-04-21 16:37 (UTC)

error: failed to parse srcinfo for 'weasis-bin-3.6.1-1': key 'groups' requires a value: Line 7: groups =

wcasanova commented on 2021-04-13 00:20 (UTC) (edited on 2021-04-13 20:21 (UTC) by wcasanova)

@junker it works please update the version and sha512sum as well since it is not the same

the .desktop is needed for the dicomizer binary

[Desktop Entry]
Version=1.0
Name=Dicomizer
Comment=Build DICOM files from images
Exec=/opt/weasis/bin/Dicomizer
Icon=/opt/weasis/lib/Dicomizer.png
Terminal=false
Type=Application
Categories=Viewer;MedicalSoftware;Graphics;

Junker commented on 2021-02-20 04:12 (UTC)

version 3.7.0 is crashing.. : [1] 570046 abort (core dumped) ./Weasis

check somebody please this PKGBUILD, if you don't have a segfault, i will update it.

pkgname=weasis-bin
pkgver=3.7.0
pkgrel=1
pkgdesc="Weasis is a multipurpose DICOM viewer with a highly modular architecture"
arch=('any')
url="https://nroduit.github.io/"
license=('EPL-2.0')
groups=('')
options=('!strip' '!emptydirs')
source=("https://github.com/nroduit/Weasis/releases/download/v${pkgver}/weasis_${pkgver}-1_amd64.deb")
sha512sums=('c7d2644b10f994bd6f641c079785c8cfddbbea0b24f887e9a62463c19ee84a0e535b0faf3029ccaedc4a37aa2f3e1c799fc2bd921ae24ac79484a0ce9bdd3482')

package(){
        tar -xJC "${pkgdir}" -f data.tar.xz

        mkdir -p "${pkgdir}/usr/bin"
        ln -s "/opt/weasis/bin/Weasis" "$pkgdir/usr/bin/weasis"

        install -Dm 644 ${pkgdir}/opt/weasis/lib/weasis-Weasis.desktop ${pkgdir}/usr/share/applications/Weasis.desktop
}